package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by Reece on 2017/3/8.
 */
@Entity
@Table(name = "wlyy_survey")
public class Survey extends IdEntity implements Serializable {

//  问卷编码（使用模板为模板编码）
    private String code;
//  标题
    private String title;
//  说明
    private String surveyComment;
//    创建人(医生编码)
    private String creater;
//    模板编码(使用模板是有值否则为空)
    private String templateCode;
//    调查状态(发送后正常为1 暂停为2)
    private int status;
//    调查对象数量
    private int amount;
//    创建时间
    private Date createTime;
//        修改时间
    private Date updateTime;


    public Survey() {
    }

    public Survey(String code, String title, String surveyComment, String creater, String templateCode, int status, int amount, Date createTime, Date updateTime) {
        this.code = code;
        this.title = title;
        this.surveyComment = surveyComment;
        this.creater = creater;
        this.templateCode = templateCode;
        this.status = status;
        this.amount = amount;
        this.createTime = createTime;
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSurveyComment() {
        return surveyComment;
    }

    public void setSurveyComment(String surveyComment) {
        this.surveyComment = surveyComment;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getAmount() {
        return amount;
    }

    public void setAmount(int amount) {
        this.amount = amount;
    }
}
